# -*- coding: utf-8 -*-


class ReportGenerationException(Exception):
    """Ошибка создания отчета"""


class SendReportException(Exception):
    """Ошибка отправки отчета"""


class SOAPClientCreateException(Exception):
    """Ошибка создания SOAP клиента"""


class ReportFormRowLogicException(Exception):
    """Ошибка в логике сохранения модели ReportFormRow"""


class LostReportFormRowException(Exception):
    """Исключение которое генерируется в случае если отчетность собрана а,
       данные отсутствуют"""


class XMLException(Exception):
    """Исключение при формировании файла"""

    def __init__(self, mo_name, msg=''):

        self.mo_name = mo_name


class XMLRenderException(XMLException):
    """Исключение возникающее при рендеринге XML"""


class XMLWriteException(XMLException):
    """Исключение возникающее при записи XML файла"""


class DocumentCreateException(Exception):
    """Ошибка при создании документа"""

    def __init__(self, mo_name, msg=''):

        self._mo_name = mo_name
        self.message = (u'Ошибка при формировании '
                        u'документа по МО=%s: %s' % (
            mo_name, msg))